Subject: bug#21025: tabulated-list.el: It should preserve header line set by derived modes. (Encl. a suggested PATCH)

From: Artur Malabarba <[email-masked]>
Date: Mon, 13 Jul 2015 00:16:10 +0100

> 3. Note that there is no header line when I explicitly request that I
>    need a header line @ lines 25, 26 in font-family.el
>
>       (setq tabulated-list-use-header-line nil)
>       (setq header-line-format "Font families")

When you set that to nil you are explicitly asking tabulated-list to erase
the header line. Just leave it as t instead.
As long as you don't call init-header, the header will be left as you set
it.

> ----------------------------------------------------------------
>
> 4. Apply the attached patch.
>
> 5. See that the header line is preserved (and stays put even when the
>    columns are sorted and the buffer is refreshed).

Although your patch is technically unnecessary (what you want to do is
already possible) it might be good to apply anyway.
The line of code that you remove in your patch might break stuff, but if it
doesn't then it should be removed. But I'm not the right person to say
that.